#! /bin/sh
inpath()
{
   if [ $# -ne 2 ]; then
     echo "Usage: inpath str1 str2" >&2;
     exit 1;
   else
      (echo "$2" | awk -F: '{for(i=1;i<=NF;i++) print $i;}' | grep "^$1\$") > /dev/null
      return $?
   fi
}

abase=/usr/lib/Ada

if [ -d $abase ]; then
  if [ -d $abase/include ]; then
    inpath $abase/include "$ADA_INCLUDE_PATH"
    if [ $? -ne 0 ]; then
       ADA_INCLUDE_PATH="${ADA_INCLUDE_PATH:+$ADA_INCLUDE_PATH:}$abase/include"
       export ADA_INCLUDE_PATH
    fi
  fi
  if [ -d $abase/objects ]; then
    inpath $abase/objects "$ADA_OBJECTS_PATH"
    if [ $? -ne 0 ]; then
       ADA_OBJECTS_PATH="${ADA_OBJECTS_PATH:+$ADA_OBJECTS_PATH:}$abase/objects"
       export ADA_OBJECTS_PATH
    fi
  fi
fi

unset abase
unset inpath